<?php

namespace App\Console\Commands;

use App\Repositories\DriversRepository;
use App\Repositories\ObjectsRepository;
use App\Repositories\OwnersRepository;
use App\Repositories\ServersRepository;
use App\Repositories\UsersRepository;
use App\Repositories\WaybillsRepository;
use Illuminate\Console\Command;

class BaseCommand extends Command
{
    public static $EXIT_CODE = [
        'FAILED'    => -1,
        'NOT_FOUND' => 0,
        'SUCCESS'   => 1,
    ];

    public $driversRepo;
    public $objectsRepo;
    public $ownersRepo;
    public $serversRepo;
    public $usersRepo;
    public $waybillsRepo;

    /**
     * Create a new command instance.
     *
     * @param DriversRepository $driversRepository
     * @param ObjectsRepository $objectsRepository
     * @param OwnersRepository $ownersRepository
     * @param ServersRepository $serversRepository
     * @param UsersRepository $usersRepository
     * @param WaybillsRepository $waybillsRepository
     */
    public function __construct(DriversRepository $driversRepository,
                                ObjectsRepository $objectsRepository,
                                OwnersRepository $ownersRepository,
                                ServersRepository $serversRepository,
                                UsersRepository $usersRepository,
                                WaybillsRepository $waybillsRepository)
    {
        parent::__construct();

        $this->driversRepo = $driversRepository;
        $this->objectsRepo = $objectsRepository;
        $this->ownersRepo = $ownersRepository;
        $this->serversRepo = $serversRepository;
        $this->usersRepo = $usersRepository;
        $this->waybillsRepo = $waybillsRepository;
    }
}