<?php

namespace App\Console\Commands;

class WaybillCreate extends BaseCommand
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'waybill:create {id} {type?}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Создание путевого листа, если тип не передан, создается по форме 4С';

    /**
     * Execute the console command.
     *
     * @return mixed
     * @throws \PHPExcel_Exception
     * @throws \PHPExcel_Reader_Exception
     */
    public function handle()
    {
        if (!$this->hasArgument('id') && empty($this->argument('id'))) {
            $this->error('Не найден ID путевого листа');

            return self::$EXIT_CODE['NOT_FOUND'];
        }

        if ($this->hasArgument('type') && !empty($this->argument('type'))) {
            return $this->call('waybill:create:' . $this->argument('type'), ['id' => $this->argument('id')]);
        }

        return $this->call('waybill:create:4s', ['id' => $this->argument('id')]);
    }
}
