<?php

namespace App\Models;

use Eloquent as Model;

/**
 * @SWG\Definition(
 *      definition="Drivers",
 *      required={""},
 *      @SWG\Property(
 *          property="id",
 *          description="id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="crons_id",
 *          description="crons_id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="objects_id",
 *          description="objects_id",
 *          type="integer",
 *          format="int32"
 *      )
 * )
 */
class CronsObjects extends Model
{

    public $table = 'crons_objects';

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';


    public $fillable = [
        'crons_id',
        'objects_id',
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id'         => 'integer',
        'crons_id'   => 'integer',
        'objects_id' => 'integer',
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'active'     => 'required|nullable|integer',
        'crons_id'   => 'required|integer',
        'objects_id' => 'required|integer',
    ];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     **/
    public function cron()
    {
        return $this->belongsTo(\App\Models\Crons::class, 'crons_id', 'id');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     **/
    public function object()
    {
        return $this->belongsTo(\App\Models\Objects::class, 'objects_id', 'id');
    }
}
