<?php

namespace App\Sdk;

use Unirest\Request;

final class Gelios extends TypeSdkAbstract
{
    private $base_api_url = '';
    private $user;
    private $password;

    public function __construct()
    {
        $this->setName('gelios');
    }

    public function login(array $credentials)
    {
        $this->user = $credentials['username'];
        $this->password = $credentials['password'];

        $request = $this->call('get_stats_service');

        if ($request->code !== 200) {
            return false;
        }

        if (property_exists($request->body, 'error')) {
            return false;
        }

        $this->user = '';
        $this->password = '';

        return true;
    }

    public function logout()
    {
        return false;
    }

    public function call($method, array $params = [])
    {
        $json = json_encode($params);

        return Request::get($this->getBaseApiUrl() . '?login=' . $this->user . '&pass=' . $this->password . '&svc=' . $method . '&params=' . $json);
    }

//    public function getLastTouch($name = '')
//    {
//        $params = [
//            'name' => $name
//        ];
//
//        $response = $this->call('search_units', $params);
//
//        if ($response->code !== 200) {
//            return '';
//        }
//
//        if (is_array($response->body) && count($response->body) === 1) {
//            $data = array_shift($response->body);
//
//            if (property_exists($data, 'lmsg') && property_exists($data->lmsg, 'time')) {
//                return Carbon::createFromTimestamp($data->lmsg->time);
//            }
//        }
//
//        return '';
//    }

    /**
     * @return string
     */
    public function getBaseApiUrl()
    {
        return $this->base_api_url;
    }

    /**
     * @param string $base_api_url
     */
    public function setBaseApiUrl($base_api_url = '')
    {
        if (empty($base_api_url)) {
            $base_api_url = sprintf('%s://%s%s/', $this->getServer()->scheme, $this->getServer()->url, mb_strlen($this->getServer()->port) > 0 ? ':' . $this->getServer()->port : '');
        }

        $this->base_api_url = $base_api_url;
    }
}