<?php

namespace App\Sdk;

final class NullSdk extends TypeSdkAbstract
{
    public function __construct() {
        $this->setName('null');
    }

    /**
     * Handles casting to a string
     *
     * @return string
     */
    public function __toString()
    {
        return '';
    }

    /**
     * Suppress function calls
     *
     * @param $name
     * @param $arguments
     * @return bool
     */
    public function __call($name, $arguments)
    {
        return false;
    }

    /**
     * Suppress method calls
     *
     * @param $name
     * @return bool
     */
    public function __get($name)
    {
        return false;
    }

    /**
     * @param $name
     * @param $value
     */
    public function __set($name, $value)
    {
        //
    }

    /**
     * @param $name
     */
    public function __isset($name)
    {
        //
    }
}