<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Schema table name to migrate
     * @var string
     */
    public $set_schema_table = 'users';

    /**
     * Run the migrations.
     * @table users
     *
     * @return void
     */
    public function up()
    {
        Schema::create($this->set_schema_table, function (Blueprint $table) {
            $table->engine = 'InnoDB';
            $table->increments('id');
            $table->string('username', 45)->nullable();
            $table->string('password', 60)->nullable();
            $table->string('danger_password')->nullable();
            $table->integer('admin')->default(0);
            $table->integer('mon_id')->default(0);
            $table->unsignedInteger('servers_id')->nullable();
            $table->rememberToken();

            $table->index(["servers_id"], 'fk_users_servers1_idx');
            $table->nullableTimestamps();


            $table->foreign('servers_id', 'fk_users_servers1_idx')
                ->references('id')->on('servers')
                ->onDelete('no action')
                ->onUpdate('no action');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
     public function down()
     {
       Schema::dropIfExists($this->set_schema_table);
     }
}
