<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDriversTable extends Migration
{
    /**
     * Schema table name to migrate
     * @var string
     */
    public $set_schema_table = 'drivers';

    /**
     * Run the migrations.
     * @table drivers
     *
     * @return void
     */
    public function up()
    {
        Schema::create($this->set_schema_table, function (Blueprint $table) {
            $table->engine = 'InnoDB';
            $table->increments('id');
            $table->string('surname', 45)->nullable();
            $table->string('name', 45)->nullable();
            $table->string('middlename', 45)->nullable();
            $table->string('table_number')->nullable();
            $table->string('certificate')->nullable();
            $table->string('categories')->nullable();
            $table->unsignedInteger('users_id')->nullable();

            $table->index(["users_id"], 'fk_drivers_users1_idx');
            $table->nullableTimestamps();


            $table->foreign('users_id', 'fk_drivers_users1_idx')
                ->references('id')->on('users')
                ->onDelete('no action')
                ->onUpdate('no action');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
     public function down()
     {
       Schema::dropIfExists($this->set_schema_table);
     }
}
