<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCronsObjectsTable extends Migration
{
    /**
     * Schema table name to migrate
     * @var string
     */
    public $set_schema_table = 'crons_objects';

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create($this->set_schema_table, function (Blueprint $table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id');
            $table->unsignedInteger('crons_id')->nullable();
            $table->unsignedInteger('objects_id')->nullable();

            $table->index(['crons_id'], 'fk_crons_objects_users1_idx');
            $table->index(['objects_id'], 'fk_crons_objects_objects1_idx');
            $table->nullableTimestamps();

            $table->foreign('crons_id', 'fk_crons_objects_users1_idx')
                ->references('id')->on('crons')
                ->onDelete('no action')
                ->onUpdate('no action');

            $table->foreign('objects_id', 'fk_crons_objects_objects1_idx')
                ->references('id')->on('objects')
                ->onDelete('no action')
                ->onUpdate('no action');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists($this->set_schema_table);
    }
}
