<?php

namespace Monitorit\Installer\Controllers;

use Illuminate\Routing\Controller;
use Monitorit\Installer\Helpers\DatabaseManager;

class DatabaseController extends Controller
{

    /**
     * @var DatabaseManager
     */
    private $databaseManager;

    /**
     * @param DatabaseManager $databaseManager
     */
    public function __construct(DatabaseManager $databaseManager)
    {
        $this->databaseManager = $databaseManager;
    }

    /**
     * Migrate and seed the database.
     *
     * @return \Illuminate\View\View
     */
    public function database()
    {
        $response = $this->databaseManager->commands();

        return redirect()->route('Installer::final')
                         ->with(['message' => $response]);
    }
}
