@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="panel panel-default">
                <div class="panel-heading"><h4>Добавление нового автоматического задания</h4></div>
                <div class="panel-body">
                    @include('core-templates::common.errors')

                    {!! Form::open(['route' => 'crons.store', 'class' => 'form-horizontal']) !!}

                    @include('crons.fields')

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script type="text/javascript">
        $(function() {
            show_fields();
        });

        function getType()
        {
            return $("#type option:selected").attr("selected", "selected").val();
        }

        function show_fields()
        {
            switch (getType()) {
                case '4s':
                    $('#trailer').closest("div .form-group").show();
                    $('#customer').closest("div .form-group").hide();
                    $('#place_work').closest("div .form-group").hide();
                    $('#type_work').closest("div .form-group").hide();
                    break;
                case 'f1':
                    $('#trailer').closest("div .form-group").hide();
                    $('#customer').closest("div .form-group").hide();
                    $('#place_work').closest("div .form-group").hide();
                    $('#type_work').closest("div .form-group").hide();
                    break;
                case 'esm3':
                case 'esm7':
                    $('#customer').closest("div .form-group").show();
                    $('#place_work').closest("div .form-group").show();
                    $('#type_work').closest("div .form-group").show();
                    $('#trailer').closest("div .form-group").hide();
                    break;
            }
        }
    </script>
@endsection