<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>@if(View::hasSection('title'))@yield('title') - {{ env('APP_NAME') }}@else{{ env('APP_NAME') }}@endif</title>

    <!-- Fonts -->
    <link href="{{ asset('/css/font-awesome.min.css') }}" rel='stylesheet' type='text/css'>
    <link href="https://fonts.googleapis.com/css?family=Lato:100,300,400,700" rel='stylesheet' type='text/css'>

    <!-- Bootstrap -->
    <link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/bootstrap-theme.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/bootstrap-toggle.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/simple-sidebar.css') }}" rel="stylesheet">

    <style type="text/css">
        .sidebar-nav li.active > a,
        .sidebar-nav li > a:focus {
            text-decoration: none;
            color: #fff;
            background: rgba(255, 255, 255, 0.2);
        }
        .header {
            width: 100%;
            background: #e7e7e7;
            color: #fff;
            height: 50px;
        }
    </style>

    @yield('css')
</head>
<body id="app-layout">
<div id="wrapper" class="">
    @if (Auth::guest())
        <nav class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">

                    <!-- Collapsed Hamburger -->
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                            data-target="#app-navbar-collapse">
                        <span class="sr-only">Toggle Navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Branding Image -->
                    <a class="navbar-brand" href="{{ url('/') }}">{{ env('APP_NAME') }}</a>
                </div>

                <div class="collapse navbar-collapse" id="app-navbar-collapse">
                    <!-- Left Side Of Navbar -->
                    <ul class="nav navbar-nav">
                        <li><a href="{{ url('/') }}">Главная</a></li>
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="nav navbar-nav navbar-right">
                        <li><a href="{{ url('/login') }}">Вход</a></li>
                    </ul>
                </div>
            </div>
        </nav>
    @else
        <!-- Sidebar -->
        @include('layouts.sidebar')
        <header class="header">
            <a href="#menu-toggle"
               style="margin-top: 8px;margin-left: 5px;background-color: #E7E7E7;border-color: #E7E7E7"
               class="btn btn-default" id="menu-toggle"><i class="fa fa-bars" aria-hidden="true"></i></a>

            <span class="pull-right" style="margin-right: 10px;margin-top: 15px">
                <a href="{{ url('/logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><i class="fa fa-btn fa-sign-out"></i>Выход</a>

                <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                    {{ csrf_field() }}
                </form>
            </span>
        </header>
    @endif

    <!-- Page Content -->
    <div id="page-content-wrapper">

        <div class="container-fluid">

            <div class="row">
                @if(Session::has('sync'))
                    @if(Session::get('sync') === 'new')
                        @include('vendor.new')
                    @else
                        @include('vendor.update')
                    @endif
                @endif
                @if (config('infyom.laravel_generator.add_on.menu.enabled') && !Auth::guest())
                    <div class="col-lg-12">
                        @yield('content')
                    </div>
                @else
                    <div class="col-lg-12">
                        @yield('content')
                    </div>
                @endif
            </div>
        </div>
    </div>
    <!-- /#page-content-wrapper -->
</div>

<!-- JavaScripts -->
<script src="{{ asset('js/jquery.min.js') }}"></script>
<script src="{{ asset('js/bootstrap.min.js') }}"></script>
<script src="{{ asset('js/bootstrap-toggle.min.js') }}"></script>

<script>
    $("#menu-toggle").click(function (e) {
        e.preventDefault();
        $("#wrapper").toggleClass("toggled");
    });

    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>

@yield('scripts')

</body>
</html>