@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="panel panel-default">
                <div class="panel-heading"><h4>Просмотр сервера</h4></div>
                <div class="panel-body">
                    @include('servers.show_fields')

                    <div class="text-center">
                        <h5>Пользователи на сервере</h5>
                    </div>

                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <td>ИД</td>
                                <td>Логин</td>
                                <td>Дата создания</td>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($servers->users as $user)
                                <tr>
                                    <td><a href="{{ url('users/' . $user->id) }}">{!! $user->id !!}</a></td>
                                    <td><a href="{{ url('users/' . $user->id) }}">{!! $user->name !!}</a></td>
                                    <td>{!! $user->created_at !!}</td>
                                </tr>
                            @empty
                                <tr class="text-center"><td colspan="2">Пользователи не найдены</td></tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>

                    <div class="text-center">
                        <h5>Объекты на сервере</h5>
                    </div>

                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <td>ИД</td>
                                <td>Имя</td>
                                <td>Гос. номер</td>
                                <td>Дата создания</td>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($servers->objects as $object)
                                <tr>
                                    <td><a href="{{ url('objects/' . $object->id) }}">{!! $object->id !!}</a></td>
                                    <td><a href="{{ url('objects/' . $object->id) }}">{!! $object->name !!}</a></td>
                                    <td><a href="{{ url('objects/' . $object->id) }}">{!! $object->gos_number !!}</a></td>
                                    <td>{!! $object->created_at !!}</td>
                                </tr>
                            @empty
                                <tr class="text-center"><td colspan="4">Объекты не найдены</td></tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>

                    <div class="text-center">
                        <a href="{!! route('servers.index') !!}" class="btn btn-default">Назад</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
