@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="panel panel-default">
                <div class="panel-heading"><h4>Просмотр пользователя</h4></div>
                <div class="panel-body">
                    @include('users.show_fields')

                    <div class="text-center">
                        <h5>Объекты доступные пользователю</h5>
                    </div>

                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <td>ИД</td>
                                <td>Имя</td>
                                <td>Дата создания</td>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($users->objects as $object)
                                <tr>
                                    <td><a href="{{ url('objects/' . $object->id) }}">{!! $object->id !!}</a></td>
                                    <td><a href="{{ url('objects/' . $object->id) }}">{!! $object->name !!}</a></td>
                                    <td>{!! $object->created_at !!}</td>
                                </tr>
                            @empty
                                <tr class="text-center"><td colspan="3">Объекты не найдены</td></tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>

                    <div class="text-center">
                        <h5>Владельцы добавленные пользователем</h5>
                    </div>

                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <td>ИД</td>
                                <td>Объект</td>
                                <td>Дата создания</td>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($users->owners as $owner)
                                <tr>
                                    <td><a href="{{ url('owners/' . $owner->id) }}">{!! $owner->id !!}</a></td>
                                    <td><a href="{{ url('owners/' . $owner->id) }}">{!! $owner->name !!}</a></td>
                                    <td>{!! $owner->created_at !!}</td>
                                </tr>
                            @empty
                                <tr class="text-center"><td colspan="3">Владельцы не найдены</td></tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>

                    <div class="text-center">
                        <h5>Водители созданные пользователем</h5>
                    </div>

                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <td>ИД</td>
                                <td>Фамилия</td>
                                <td>Имя</td>
                                <td>Отчество</td>
                                <td>Дата создания</td>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($users->drivers as $driver)
                                <tr>
                                    <td><a href="{{ url('drivers/' . $driver->id) }}">{!! $driver->id !!}</a></td>
                                    <td><a href="{{ url('drivers/' . $driver->id) }}">{!! $driver->surname !!}</a></td>
                                    <td><a href="{{ url('drivers/' . $driver->id) }}">{!! $driver->name !!}</a></td>
                                    <td><a href="{{ url('drivers/' . $driver->id) }}">{!! $driver->middlename !!}</a></td>
                                    <td>{!! $driver->created_at !!}</td>
                                </tr>
                            @empty
                                <tr class="text-center"><td colspan="5">Водители не найдены</td></tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>

                    <div class="text-center">
                        <h5>Путевые листы сгенерированные пользователем</h5>
                    </div>

                    @include('vendor.waybills_table', ['waybills' => $users->waybills])

                    <div class="text-center">
                        <a href="{!! route('users.index') !!}" class="btn btn-default">Назад</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
