@extends('vendor.installer.layouts.master')

@section('title', trans('installer_messages.environment.title'))
@section('container')
    @if (session('message'))
        <p class="alert">{{ session('message') }}</p>
    @endif
    <form method="post" action="{{ route('Installer::environmentSave') }}">
        {!! csrf_field() !!}

        <div align="center"><strong>{{ trans('installer_messages.environment.db.title') }}</strong></div>
        <label>{{ trans('installer_messages.environment.db.host') }}: <input name="db_host" value="{{ old('db_host', $db_host) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.db.port') }}: <input name="db_port" value="{{ old('db_port', $db_port) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.db.name') }}: <input name="db_name" value="{{ old('db_name', $db_name) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.db.user') }}: <input name="db_user" value="{{ old('db_user', $db_user) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.db.pass') }}: <input name="db_pass" value="{{ old('db_pass', $db_pass) }}" size="15"></label>

        <div align="center"><strong>{{ trans('installer_messages.environment.mail.title') }}</strong></div>
        <label>{{ trans('installer_messages.environment.mail.host') }}: <input name="mail_host" value="{{ old('mail_host', $mail_host) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.mail.port') }}: <input name="mail_port" value="{{ old('mail_port', $mail_port) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.mail.enc') }}: <input name="mail_enc" value="{{ old('mail_enc', $mail_enc) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.mail.user') }}: <input name="mail_user" value="{{ old('mail_user', $mail_user) }}" size="15"></label>
        <label>{{ trans('installer_messages.environment.mail.pass') }}: <input name="mail_pass" value="{{ old('mail_pass', $mail_pass) }}" size="15"></label>

        <div class="buttons buttons--right">
             <button class="button button--light" type="submit">{{ trans('installer_messages.environment.save') }}</button>
        </div>
    </form>
    @if( ! isset($environment['errors']))
        <div class="buttons">
            <a class="button" href="{{ route('Installer::requirements') }}">
                {{ trans('installer_messages.next') }}
            </a>
        </div>
    @endif
@stop
