@extends('layouts.app')

@section('css')
    <link href="{{ asset('css/bootstrap-datetimepicker.min.css') }}" rel="stylesheet" media="screen">
@endsection

@section('content')
    <div class="row">
        <div class="col-sm-12">
            @include('flash::message')

            <div class="clearfix"></div>

            <div class="panel panel-default">
                <div class="panel-heading"><h4>Генерация нового документа</h4></div>
                <div class="panel-body">
                    @include('core-templates::common.errors')

                    {!! Form::open(['route' => 'waybills.store', 'class' => 'form-horizontal']) !!}

                    @include('waybills.fields')

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script type="text/javascript" src="{{ asset('js/bootstrap-datetimepicker.js') }}" charset="UTF-8"></script>
    <script type="text/javascript" src="{{ asset('js/locales/bootstrap-datetimepicker.ru.js') }}" charset="UTF-8"></script>

    <script type="text/javascript">
        $('#start_date').datetimepicker({
            weekStart: 1,
            language:  'ru',
            format: 'hh:ii dd-mm-yyyy',
            autoclose: true,
            todayBtn: true
        }).on("changeDate", function (e) {
            switch (getType()) {
                case 'esm3':
                    var d = new Date(e.date.valueOf());
                    d.setDate(d.getDate() + 9);

                    $('#end_date').datetimepicker('setEndDate', d);
                case '4s':
                case 'f1':
                case 'esm7':
                    $('#end_date').datetimepicker('setStartDate', e.date);
                    break;
            }
        });

        $('#end_date').datetimepicker({
            weekStart: 1,
            language:  'ru',
            format: 'hh:ii dd-mm-yyyy',
            autoclose: true,
            todayBtn: true
        }).on("changeDate", function (e) {
            switch (getType()) {
                case 'esm3':
                    var d = new Date(e.date.valueOf());
                    d.setDate(d.getDate() - 9);

                    $('#start_date').datetimepicker('setStartDate', d);
                case '4s':
                case 'f1':
                case 'esm7':
                    $('#start_date').datetimepicker('setEndDate', e.date);
                    break;
            }
        });

        $(function() {
            show_fields();
        });

        function getType()
        {
            return $("#type option:selected").attr("selected", "selected").val();
        }

        function show_fields()
        {
            switch (getType()) {
                case '4s':
                    $('#trailer').closest("div .form-group").show();
                    $('#odometer').closest("div .form-group").show();
                    $('#customer').closest("div .form-group").hide();
                    $('#place_work').closest("div .form-group").hide();
                    $('#type_work').closest("div .form-group").hide();
                    break;
                case 'f1':
                    $('#trailer').closest("div .form-group").hide();
                    $('#customer').closest("div .form-group").hide();
                    $('#place_work').closest("div .form-group").hide();
                    $('#type_work').closest("div .form-group").hide();
                    break;
                case 'esm3':
                case 'esm7':
                    $('#customer').closest("div .form-group").show();
                    $('#place_work').closest("div .form-group").show();
                    $('#type_work').closest("div .form-group").show();
                    $('#trailer').closest("div .form-group").hide();
                    $('#odometer').closest("div .form-group").hide();
                    break;
            }
        }
    </script>
@endsection