<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class ObjectsApiTest extends TestCase
{
    use MakeObjectsTrait, ApiTestTrait, WithoutMiddleware, DatabaseTransactions;

    /**
     * @test
     */
    public function testCreateObjects()
    {
        $objects = $this->fakeObjectsData();
        $this->json('POST', '/api/v1/objects', $objects);

        $this->assertApiResponse($objects);
    }

    /**
     * @test
     */
    public function testReadObjects()
    {
        $objects = $this->makeObjects();
        $this->json('GET', '/api/v1/objects/'.$objects->id);

        $this->assertApiResponse($objects->toArray());
    }

    /**
     * @test
     */
    public function testUpdateObjects()
    {
        $objects = $this->makeObjects();
        $editedObjects = $this->fakeObjectsData();

        $this->json('PUT', '/api/v1/objects/'.$objects->id, $editedObjects);

        $this->assertApiResponse($editedObjects);
    }

    /**
     * @test
     */
    public function testDeleteObjects()
    {
        $objects = $this->makeObjects();
        $this->json('DELETE', '/api/v1/objects/'.$objects->id);

        $this->assertApiSuccess();
        $this->json('GET', '/api/v1/objects/'.$objects->id);

        $this->assertResponseStatus(404);
    }
}
