<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class OwnersApiTest extends TestCase
{
    use MakeOwnersTrait, ApiTestTrait, WithoutMiddleware, DatabaseTransactions;

    /**
     * @test
     */
    public function testCreateOwners()
    {
        $owners = $this->fakeOwnersData();
        $this->json('POST', '/api/v1/owners', $owners);

        $this->assertApiResponse($owners);
    }

    /**
     * @test
     */
    public function testReadOwners()
    {
        $owners = $this->makeOwners();
        $this->json('GET', '/api/v1/owners/'.$owners->id);

        $this->assertApiResponse($owners->toArray());
    }

    /**
     * @test
     */
    public function testUpdateOwners()
    {
        $owners = $this->makeOwners();
        $editedOwners = $this->fakeOwnersData();

        $this->json('PUT', '/api/v1/owners/'.$owners->id, $editedOwners);

        $this->assertApiResponse($editedOwners);
    }

    /**
     * @test
     */
    public function testDeleteOwners()
    {
        $owners = $this->makeOwners();
        $this->json('DELETE', '/api/v1/owners/'.$owners->id);

        $this->assertApiSuccess();
        $this->json('GET', '/api/v1/owners/'.$owners->id);

        $this->assertResponseStatus(404);
    }
}
