<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class WaybillsApiTest extends TestCase
{
    use MakeWaybillsTrait, ApiTestTrait, WithoutMiddleware, DatabaseTransactions;

    /**
     * @test
     */
    public function testCreateWaybills()
    {
        $waybills = $this->fakeWaybillsData();
        $this->json('POST', '/api/v1/waybills', $waybills);

        $this->assertApiResponse($waybills);
    }

    /**
     * @test
     */
    public function testReadWaybills()
    {
        $waybills = $this->makeWaybills();
        $this->json('GET', '/api/v1/waybills/'.$waybills->id);

        $this->assertApiResponse($waybills->toArray());
    }

    /**
     * @test
     */
    public function testUpdateWaybills()
    {
        $waybills = $this->makeWaybills();
        $editedWaybills = $this->fakeWaybillsData();

        $this->json('PUT', '/api/v1/waybills/'.$waybills->id, $editedWaybills);

        $this->assertApiResponse($editedWaybills);
    }

    /**
     * @test
     */
    public function testDeleteWaybills()
    {
        $waybills = $this->makeWaybills();
        $this->json('DELETE', '/api/v1/waybills/'.$waybills->id);

        $this->assertApiSuccess();
        $this->json('GET', '/api/v1/waybills/'.$waybills->id);

        $this->assertResponseStatus(404);
    }
}
